jQuery(document).ready(function($) {
	"use strict";

	/* window */
	var window_width, window_height, scroll_top;

	/* admin bar */
	var adminbar = $('#wpadminbar');
	var adminbar_height = 0;

	/* header menu */
	var header = $('#cshero-header');
	var header_top = 0;

	/* scroll status */
	var scroll_status = '';
	/*cms_countdown*/
	var _e_countdown = [];
	/**
	 * window load event.
	 * 
	 * Bind an event handler to the "load" JavaScript event.
	 * @author Fox
	 */
	$(window).on('load', function() {
		/** current scroll */
		scroll_top = $(window).scrollTop();

		/** current window width */
		window_width = $(window).width();

		/** current window height */
		window_height = $(window).height();

		/* get admin bar height */
		adminbar_height = adminbar.length > 0 ? adminbar.outerHeight(true) : 0 ;

		/* get top header menu */
		header_top = header.length > 0 ? header.offset().top - adminbar_height : 0 ;
		/* back to top */
		back_to_top();
		/* pop up gallery */
		cms_lightbox_popup();
		cms_lightbox_popup_manific('.cms-popup-gallery');
		/* check sticky menu. */
		cms_stiky_menu();

		/*Arrow Down*/
		cms_arrow_down();

		/*Bg First Col Fit*/
		cms_set_column_bgoverfollow();

		/*Mini Cart*/
		miniCartSearch();
		removeCartItem();
		/* check 404. */
		general_404_page();
		cmsCarousel();
		/*Custom dropdown selct*/
		custom_select();
		/* CMS Countdown */
		setTimeout(function(){ 
			cms_countdown(); 
		}, 100);

		/*Load Animation*/
		if ( $('.wow').length ) {
		    initWow(); 
		};
		$('.grid_thumb').fitVids();
	});
	/**
	 * reload event.
	 * 
	 * Bind an event handler to the "navigate".
	 */
	window.onbeforeunload = function(){
	}


	/*Woo button*/
    $('input.minus').click(function(){
        $(this).parent().find('input.input-text').get(0).stepDown();
    });
    $('input.plus').click(function(){
        $(this).parent().find('input.input-text').get(0).stepUp();
    });
	/**
	* Fit videos ajax Complete
	*/
	$(document).ajaxComplete(function(event, xhr, settings){
		$('.grid_thumb').fitVids();
		cms_lightbox_popup();
		cms_lightbox_popup_manific('.cms-popup-gallery');
		removeCartItem();

		/*Scroll on cart*/
        setTimeout(function () {
            $('.shopping_cart_dropdown_inner').css({
                maxHeight: '300px',
                overflow: 'hidden'
            }).bind('mousewheel', function (event) {
                event.preventDefault();
                var scrollTop = this.scrollTop;
                this.scrollTop = (scrollTop + ((event.deltaY * event.deltaFactor) * -1));
            });
        }, 1000);
        
        $('.shopping_cart_dropdown_inner').css({maxHeight:'300px'}).bind('mousewheel', function (event) {
            event.preventDefault();
            var scrollTop = this.scrollTop;
            this.scrollTop = (scrollTop + ((event.deltaY * event.deltaFactor) * -1));
        });
	});
	/**
	 * resize event.
	 * 
	 * Bind an event handler to the "resize" JavaScript event, or trigger that event on an element.
	 * @author Fox
	 */
	$(window).on('resize', function(event, ui) {
		/** current window width */
		window_width = $(event.target).width();

		/** current window height */
		window_height = $(window).height();

		/** current scroll */
		scroll_top = $(window).scrollTop();

		/* check sticky menu. */
		cms_stiky_menu();
		/* check 404. */
		general_404_page();
	});

	/**
	 * scroll event.
	 * 
	 * Bind an event handler to the "scroll" JavaScript event, or trigger that event on an element.
	 * @author Fox
	 */
	$(window).on('scroll', function() {
		/** current scroll */
		scroll_top = $(window).scrollTop();

		/* check sticky menu. */
		cms_stiky_menu();
	});

 	function cmsCarousel() {
	    if ( $('.cms-carousel-wrapper .cms-owl-carousel').length ) {
	        $('.cms-carousel-wrapper .cms-owl-carousel').each(function() {
	            var owl = $(this),
	                options = owl.data( 'carousel' );

	            owl.owlCarousel(options);
	        });
	    }
	}

	$('body').click(function (e) {
        var target = $(e.target);

        if (target.parents('.cshero-popup-search').length == 0 && !target.hasClass('fa-search')) {
            $('.cshero-popup-search').removeClass('open');
        }
    }); /*Remove Class Open when click body*/
    $('.cd-search-trigger .fa-search').on('click', function(e){
    	e.preventDefault();
    	var check = $(this).parent().parent().find('.cshero-popup-search');

    	if(!check.hasClass('open')){
			check.addClass('open');
		} else {
			check.removeClass('open');
		}
	});
	
    /*/ end hide search form. /*/


    
	function cms_set_column_bgoverfollow() {
		if ( $('.bg_overfolow').length ) {
			$('.bg_overfolow').each(function(i, el) {

				$(el).parents('.vc_row').addClass('overlay_fit_bg_row');
				$(el).parents('.wpb_column').addClass('overlay_fit_bg_col');

				var w_col = $('.overlay_fit_bg_col').width() + $('.overlay_fit_bg_col').siblings('.wpb_column').width();

				var w_ineed = window_width - ((window_width - w_col)/2 + $('.overlay_fit_bg_col').siblings('.wpb_column').width());
				$('.bg_overfolow').width(w_ineed);
			});
		}

	}
	function cms_arrow_down() {
		$('.arrow-in-home a').on('click', function(e) {
		var id_scroll = $(this).attr('href');

		e.preventDefault();	
		$("html, body").animate({ scrollTop: $(id_scroll).offset().top}, 800);
	});
	}
	/**
	 * 
	 */
	function general_404_page() {
		var w_height = $(window).height() - $('#wpadminbar').height();
		
		$('.error404 .error-page-inner,.page-template-comingsoon .page_comming,.page-template-maintenance .page_maintenance').css('height', w_height);
	}

	//pie char
	$('.vc_pie_chart').each(function() {
		$(this).waypoint(
			function() {
				$(this).circliful();
			}, {
				offset : '95%',
				triggerOnce : true
		});	
	});
	/**
	 * Select Dropdow
	 *
	 * @author Fox
	 */
	 function custom_select(){
        $('form.woocommerce-ordering select').each(function(){
        	$(this).wrap('<div class="select_wrap"></div>');
        })
	 }
	/*Popup Image & Video Pretyphoto
	-----------------------------------*/
	function cms_lightbox_popup() {
		/*Prety Photo*/
		jQuery('a[data-gal]').each(function() {
			jQuery(this).attr('rel', jQuery(this).data('gal')); 
		});     
		jQuery("a[data-rel^='prettyPhoto']").prettyPhoto({
			hook:'data-rel',
			animationSpeed:'slow',
			theme:'light_square',
			slideshow:true,
			overlay_gallery: true,
			social_tools:false,
			deeplinking:false});
	}
	function cms_lightbox_popup_manific(selector) {
		/* gallery */
		$(selector).magnificPopup({
			delegate: '.lightbox',
			type: 'image',
			tLoading: 'Loading image #%curr%...',
			mainClass: 'mfp-3d-unfold',
			removalDelay: 500, /*delay removal by X to allow out-animation*/
			callbacks: {
				beforeOpen: function() {
					/*just a hack that adds mfp-anim class to markup */
					this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
					/*this.st.mainClass = this.st.el.attr('data-effect');*/
				}
			},
			gallery: {
				enabled: true,
				navigateByImgClick: true,
				preload: [0,1] /* Will preload 0 - before current, and 1 after the current image*/
			},
			image: {
				tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
				/*titleSrc: function(item) {
				return item.el.attr('title') + '<small>by Marsel Van Oosten</small>';
				}*/
			}
		});
	}
	function cms_countdown() {
		$('.cms-countdown').each(function () {
				var event_date = $(this).find('.cms-countdown-bar');
				var data_count = event_date.data('count');
				var server_offset = event_date.data('timezone');
				/* get local time zone */
				var offset = (new Date()).getTimezoneOffset();
				offset = (- offset / 60) - server_offset;
				
				if(data_count != undefined){
					var data_label = event_date.attr('data-label');
					
					if(data_label != undefined && data_label != ''){
						data_label = data_label.split(',')
					} else {
						data_label = ['day','hours','mins','sec'];
					}
					
					data_count = data_count.split(',')
					
					var austDay = new Date(data_count[0],parseInt(data_count[1]) - 1,data_count[2],parseInt(data_count[3]) + offset,data_count[4],data_count[5]);
					
					_e_countdown.push(event_date.countdown({
						until: austDay,
						layout:'<div class="clearfix"> <div class="countdown-item-container"> <span class="countdown-period">'+data_label[0]+'</span> <span class="countdown-amount">{dn}</span>  </div> <div class="countdown-item-container"> <span class="countdown-period">'+data_label[1]+'</span> <span class="countdown-amount">{hn}</span> </div> <div class="countdown-item-container"> <span class="countdown-period">'+data_label[2]+'</span> <span class="countdown-amount">{mn}</span>  </div> <div class="countdown-item-container"> <span class="countdown-period">'+data_label[3]+'</span> <span class="countdown-amount">{sn}</span>  </div> </div>'
					}));
				}
			});
	}
	/**
	 * Init Wow Animation
	 * 
	 * @author DuongTung
	 * @since 1.0.0
	 */
	function initWow(){
		var wow = new WOW( { mobile: false, } );
		wow.init();
	}
	/**
	 * scroll event.
	 * 
	 * Bind an event handler to the "scroll" JavaScript event, or trigger that event on an element.
	 * @author Fox
	 */
	$(window).on('scroll', function() {
		/** current scroll */
		scroll_top = $(window).scrollTop();

		/* check sticky menu. */
		cms_stiky_menu();
	});
	/*Sticky affix js */
	if (jQuery('.cshero-main-header').length ) {
		jQuery('.cshero-main-header').affix({
			offset: { 
				top: function () {
			     	return (
			     		this.top = 0
			     	)
			    }
			}
		});
	}
	/**
	 * Stiky menu
	 *
	 * Show or hide sticky menu.
	 * @author Fox
	 * @since 1.0.0
	 */
	function cms_stiky_menu() {
		if (header.hasClass('sticky-desktop') && header_top < scroll_top && window_width > 991) {
			header.addClass('header-fixed');
			$('body').addClass('hd-fixed');

			if($('.sticky_logo').length > 0) {
				$('.sticky_logo').removeClass('hide');
				$('.main_logo').addClass('hide');
			}

		} else {
			header.removeClass('header-fixed');
			$('body').removeClass('hd-fixed');

			if($('.sticky_logo').length > 0) {
				$('.sticky_logo').addClass('hide');
				$('.main_logo').removeClass('hide');
			}
		}
	}

	/**
	 * Mobile menu
	 * 
	 * Show or hide mobile menu.
	 * @author Fox
	 * @since 1.0.0
	 */
	
	$('body').on('click', '#cshero-menu-mobile', function(){
		var navigation = $(this).parent().find('#cshero-header-navigation');
		if(!navigation.hasClass('collapse')){
			navigation.addClass('collapse');
		} else {
			navigation.removeClass('collapse');
		}
	});

	/**
	 * Back to top
	 */
	/*$('body').on('click', '.ef3-back-to-top', function () {
		$('body, html').animate({scrollTop:0}, '1000');
	})*/
	/* ==============================================
    BACK TOP
    =============================================== */
    jQuery(window).scroll(function() {
        if (jQuery(this).scrollTop() > 1) {
            jQuery('.ef3-back-to-top').css({
                bottom: "66px"
            });
        } else {
            jQuery('.ef3-back-to-top').css({
                bottom: "-100px"
            });
        }
    });
    /**
	 * Back to top
	 */

	/*Show or hide back to top*/
	 function back_to_top(){
        if (scroll_top < window_height) {
         $('.ef3-back-to-top').addClass('off');
        } else {
         $('.ef3-back-to-top').removeClass('off');
        }
	 }
	 /*Back to top*/
  	$('body').on('click', '.ef3-back-to-top', function () {
        $("html, body").animate({
            scrollTop: 0
        }, 1500);
    });

	/**
	 * One page
	 *
	 * @author Fox
	 */
	if(typeof(one_page_options) != "undefined"){
		one_page_options.speed = parseInt(one_page_options.speed);
		$('#site-navigation').singlePageNav(one_page_options);
	}
	/*
	Shop Dropdown Cart Add Menu
	*/
	function removeCartItem() {
           $('.mini_cart_item a.remove').click(function(){
			$(this).addClass('wc-remove').html('<i class="wc-loading"></i>');
			var product_key = $(this).data('item_key');
	        $.ajax({
	            type: 'POST',
	            dataType: 'json',
	            url: wc_add_to_cart_params.ajax_url,
	            data: { action: "product_remove", 
	                    product_key: product_key
	            },success: function(data){
	                updateCartFragment();
	            }
	        });
	        return false;
		});
        }

        function updateCartFragment() {
            var $fragment_refresh = {
                url: wc_add_to_cart_params.ajax_url,
                type: 'POST',
                data: { action: 'woocommerce_get_refreshed_fragments' },
                success: function( data ) {
                    if ( data && data.fragments ) {          
                        jQuery.each( data.fragments, function( key, value ) {
                            jQuery(key).replaceWith(value);
                        });             
                        //jQuery('body').trigger( 'wc_fragments_refreshed' );
                    }
                }
            };

            //Always perform fragment refresh
            jQuery.ajax( $fragment_refresh );  
        }

        function miniCartSearch() {
            var display;
            var no_display;
            $('body').click(function (e) {
                var target = $(e.target);

                if (target.parents('.shopping_cart_dropdown').length == 0 && !target.hasClass('shopping_cart_dropdown')) {
                    $('.widget_searchform_content,.shopping_cart_dropdown').removeClass('active').slideUp();
                }
            });
            $('.widget_searchform_content,.shopping_cart_dropdown').click(function (e) {
                e.stopPropagation();
            });
            $('.widget_cart_search_wrap [data-display]').click(function (e) {
                var container = $(this).parents('.widget_cart_search_wrap');
                e.stopPropagation();
                var _this = $(this);
                display = _this.attr('data-display');
                no_display = _this.attr('data-no_display');
                $(display, container).css({
                    right: 0
                });
                if ($(display, container).hasClass('active')) {
                    $(display, container).removeClass('active').slideUp();
                } else {
                    if (display == '.widget_searchform_content') {
                        $(display, container).addClass('active').css('display', 'block');
                        $(no_display, container).removeClass('active').slideUp();    
                    }
                    $(display, container).addClass('active').slideDown().css('display', 'block');
                    $(no_display, container).removeClass('active').slideUp();

                    var offset = $(display, container).offset().left + $(display).outerWidth() - $(window).width()
                    if (offset > 0) {
                        $(display, container).css({
                            right: 0 - offset
                        });
                    } else {
                        $(display, container).css({
                            right: 0
                        });

                    }
                }
            });

            /*Scroll on cart*/
            setTimeout(function () {
                $('.shopping_cart_dropdown_inner').css({
                    maxHeight: '300px',
                    overflow: 'hidden'
                }).bind('mousewheel', function (event) {
                    event.preventDefault();
                    var scrollTop = this.scrollTop;
                    this.scrollTop = (scrollTop + ((event.deltaY * event.deltaFactor) * -1));
                });
            }, 1000);
            
            $('.shopping_cart_dropdown_inner').css({maxHeight:'300px'}).bind('mousewheel', function (event) {
                event.preventDefault();
                var scrollTop = this.scrollTop;
                this.scrollTop = (scrollTop + ((event.deltaY * event.deltaFactor) * -1));
            });
        }
});