<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>


<div id="comments" class="comments-area wow fadeIn">
	<?php if ( have_comments() ) : ?>
		<div class="comments-area-inner">
			<h2 class="comments-title">
				<span><?php comments_number( 'No Comment ', 'Comment(1)', 'Comments(%)' ) ;?></span>
			</h2>
			
			<?php wage_comment_nav(); ?>

			<ol class="comment-list">
				<?php wp_list_comments('type=comment&callback=wage_comment'); ?>
			</ol><!-- .comment-list -->

			<?php wage_comment_nav(); ?>
			<ul class="pingback-wrap clearfix">
				<?php wp_list_comments(array(
					'type = pings',
					'short_ping'  => true,
				));?>	
			</ul>
			<?php
			// If comments are closed and there are comments, let's leave a little note, shall we?
			if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
				?>
				<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'wpwage' ); ?></p>
			<?php endif; ?>
		</div>
	<?php endif; // have_comments() ?>
</div><!-- .comments-area -->

<div class="comment-form-wrap <?php echo (have_comments()) ? 'post-has-comment' : ''; ?>">
	<?php
		$commenter = wp_get_current_commenter();
		$req = get_option( 'require_name__mail' );
		$aria_req = ( $req ? " aria-required='true'" : '' );
		$args = array(
			'id_form'           => 'commentform',
			'id_submit'         => 'submit',
			'class_submit'         => 'btn btn-default',
			'title_reply'       => '<span>'.esc_html__( 'Leave a Reply', 'wpwage').'</span>',
			'title_reply_to'    => esc_html__( 'Leave A Comment','wpwage'),
			'cancel_reply_link' => esc_html__( 'Cancel Reply','wpwage'),
			'label_submit'      => esc_html__( 'add a Comment','wpwage'),
			'comment_notes_before' => '',
			'comment_notes_after' => '',
			'fields' => apply_filters( 'comment_form_default_fields', array(

					'author' =>
					'<label>'.esc_html__('Name', 'wpwage').'</label><input id="author" class="form-control" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
					'" size="30"' . $aria_req . '/>',

					'email' =>
					'<label>'.esc_html__('Email', 'wpwage').'</label><input id="email" class="form-control" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
					'" size="30"' . $aria_req . '/>',
			)
			),
			'comment_field' =>  '<label>'.esc_html__('Your Comment *', 'wpwage').'</label><textarea id="comment" class="form-control" name="comment" cols="45" rows="4" aria-required="true"></textarea>',
		);
		comment_form($args);
	?>
</div>