<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="initial-scale=1, width=device-width" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ): ?>
<link rel="shortcut icon" type="image/x-icon" href="<?php echo esc_url(get_template_directory_uri() . '/favicon.ico'); ?>" />
<?php endif; ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>> 
	<!--Slideshow Home--> 
	<?php wage_get_meta_option_slider(); ?>
<div id="page" class="hfeed site wrapper">
	<header id="masthead" class="site-header <?php echo wage_header_layout_class(); ?> ">
		<?php wage_header(); ?>
	</header><!-- #masthead -->
    <?php wage_page_title(); ?><!-- #page-title -->
	<div id="content" class="site-content  <?php echo wage_set_padding_class(); ?>">