<?php

/**
 * Auto create css from Meta Options.
 * 
 * @author Fox
 * @version 1.0.0
 */
class CMSSuperHeroes_DynamicCss
{

    function __construct()
    {
        add_action('wp_enqueue_scripts', array($this, 'generate_css'));
    }

    /**
     * generate css inline.
     *
     * @since 1.0.0
     */
    public function generate_css()
    {

        wp_enqueue_style('custom-dynamic',get_template_directory_uri() . '/assets/css/custom-dynamic.css');

        $_dynamic_css = $this->css_render();

        wp_add_inline_style('custom-dynamic', $_dynamic_css);
    }

    /**
     * header css
     *
     * @since 1.0.0
     * @return string
     */
    public function css_render()
    {
        global $opt_wage_options,$opt_meta_options;

        ob_start();

        /* custom css. */
        if(!empty($opt_wage_options['custom_css']))
            echo esc_html($opt_wage_options['custom_css']);


        $page_general_color = !empty($opt_meta_options['page_general_color'])?$opt_meta_options['page_general_color']:'';
         if (!empty($page_general_color)) {
             echo '#content .container {
                background:'.$page_general_color.'!important;
             }';
        }
        if (!empty($opt_meta_options['disable_topbar'])) {
            echo '.layout2 .topbar { display:none; }' ;
        }
        /*bg-content*/
       /* if ( is_page() && !is_search() && !empty($opt_meta_options['page_general_color'])) {
            echo '#content {
                background-color: '. $opt_meta_options['page_general_color']['background-color'] .';
                background-image: url('. $opt_meta_options['page_general_color']['background-image'] .');
                background-repeat: '. $opt_meta_options['page_general_color']['background-repeat'] .';
                background-position: '. $opt_meta_options['page_general_color']['background-position'] .';
                background-size: '. $opt_meta_options['page_general_color']['background-size'] .';
            }';
        }*/ 

          /*-----------Header-----------------*/

       /*  $logo_background_page = !empty($opt_meta_options['logo_background']['background-color'])?$opt_meta_options['logo_background']['background-color']:'#fff';
       
             echo '.site-header  #cshero-header .main_logo {background-color:'.$logo_background_page.'}';
*/
        if( isset($opt_meta_options['header_background_layout1'])) {
             echo '.site-header.layout1 #cshero-header {
                background-color: '. $opt_meta_options['header_background_layout1']['background-color'] .';
                background-position: '. $opt_meta_options['header_background_layout1']['background-position'] .';  
                background-size: '. $opt_meta_options['header_background_layout1']['background-size'] .';  
                background-repeat: '. $opt_meta_options['header_background_layout1']['background-repeat'] .';
                background-image: url('. $opt_meta_options['header_background_layout1']['background-image'] .');
            }' ;
        }

        if( isset($opt_meta_options['header_background_layout2'])) {
             echo '.site-header.layout2 #cshero-header {
                background-color: '. $opt_meta_options['header_background_layout2']['background-color'] .';
                background-position: '. $opt_meta_options['header_background_layout2']['background-position'] .';  
                background-size: '. $opt_meta_options['header_background_layout2']['background-size'] .';  
                background-repeat: '. $opt_meta_options['header_background_layout2']['background-repeat'] .';
                background-image: url('. $opt_meta_options['header_background_layout2']['background-image'] .');
            }' ;
        }
        if( isset($opt_meta_options['header_link_color_layout1']['regular'])) {
             echo '.site-header.layout1 #cshero-header a {
                color: '. $opt_meta_options['header_link_color_layout1']['regular'] .';
              }' ;
        }
        if( isset($opt_meta_options['header_link_color_layout1']['hover'])) {
             echo '.site-header.layout1 #cshero-header a:hover {
                color: '. $opt_meta_options['header_link_color_layout1']['hover'] .';
              }' ;
        }
        if( isset($opt_meta_options['header_link_color_layout1']['active'])) {
             echo '.site-header.layout1 #cshero-header a:active {
                color: '. $opt_meta_options['header_link_color_layout1']['active'] .';
              }' ;
        }
        
         /*-----------Footer-----------------*/
         

        if (!empty($opt_meta_options['show_footer_top']) && $opt_meta_options['show_footer_top'] == '2') {
            echo '.site-footer #footer-top { display:none;}';
        }
        if (!empty($opt_meta_options['off_top_bar'])) {
            echo '#top-bar { display:none;}';
        }
        /*if (!empty($opt_meta_options['disable_topbar'])) {
            echo '#top-bar { display:none;}';
        }*/
       if ( is_page() && !is_search() && !empty($opt_meta_options['footer_top_background']['rgba'])) {
            echo '.page footer #footer-top {
                background-color: '. $opt_meta_options['footer_top_background']['rgba'] .';
            }';
        }
        if ( is_page() && !is_search() && !empty($opt_meta_options['footer_top_background_color_col1']['rgba'])) {
            echo 'footer .footer-top-1-wrap .footer-top-1-inner:before {
                background-color: '. $opt_meta_options['footer_top_background_color_col1']['rgba'] .';
            }';
        }
        if( isset($opt_meta_options['footer_top_background_image'])) {
             echo '.page footer #footer-top  {
                background-position: '. $opt_meta_options['footer_top_background_image']['background-position'] .';  
                background-size: '. $opt_meta_options['footer_top_background_image']['background-size'] .';  
                background-repeat: '. $opt_meta_options['footer_top_background_image']['background-repeat'] .';
                background-image: url('. $opt_meta_options['footer_top_background_image']['background-image'] .');
            }' ;
        } 
        if( isset($opt_meta_options['footer_top_background_overlay'])) {
             echo '#footer-top.footer_top_background_overlay:before  {
                 background-color: '. $opt_meta_options['footer_top_background']['rgba'] .';
            }' ;
        }
     
        ?>

        <?php
        
        return ob_get_clean();
    }
}

new CMSSuperHeroes_DynamicCss();