<?php
vc_map(array(
    "name" => 'CMS Image Client',
    "base" => "cms_image_client",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('CmsSuperheroes Shortcodes', 'wpwage'),
    "params" => array(
        array(
            "type" => "attach_images",
            "heading" => esc_html__("Select Code Image", 'wpwage'),
            "param_name" => "image_client",
            "group" => esc_html__("Custom", 'wpwage'),
        ),
         array(
	        'type' => 'dropdown',
	        'heading' => esc_html__( 'Animate', 'wpwage' ),
	        'param_name' => 'css_animation',
	        'value' => wage_animate_lib(),
	        'description' => esc_html__( 'Select "animation in" for page transition.', 'wpwage' ),
	        "group" => esc_html__("Custom", 'wpwage'),
	    ),
         array(
		    'type' => 'textfield',
		    'heading' => esc_html__('Heading Carousel', 'wpwage'),
		    'param_name' => 'custom_heading',
		    'value' => '',
		    'description' => esc_html__('Custom Heading & Nav On Top.', 'wpwage'),
		     "group" => esc_html__("Custom", 'wpwage'),
		),
         /* For grid */
		array(
	        'type' => 'dropdown',
	        'heading' => esc_html__( 'Extra small devices', 'wpwage' ),
	        'param_name' => 'col_xs',
	        'description' => esc_html__( 'Phones (<768px)', 'wpwage' ),
	        'edit_field_class' => 'vc_col-sm-6 vc_column',
	        'value' => array(
	            esc_html__( '1 Column', 'wpwage' ) => '1',
	            esc_html__( '2 Columns', 'wpwage' ) => '2',
	            esc_html__( '3 Columns', 'wpwage' ) => '3',
	            esc_html__( '4 Columns', 'wpwage' ) => '4',
	            esc_html__( '6 Columns', 'wpwage' ) => '6'
	        ),
	        'std' => '1',
	    ),
	    array(
	        'type' => 'dropdown',
	        'heading' => esc_html__( 'Small devices','wpwage'),
	        'param_name' => 'col_sm',
	        'description' => esc_html__( 'Tablets (768px)', 'wpwage' ),
	        'edit_field_class' => 'vc_col-sm-6 vc_column',
	        'value' => array(
	            esc_html__( '1 Column', 'wpwage' ) => '1',
	            esc_html__( '2 Columns', 'wpwage' ) => '2',
	            esc_html__( '3 Columns', 'wpwage' ) => '3',
	            esc_html__( '4 Columns', 'wpwage' ) => '4',
	            esc_html__( '6 Columns', 'wpwage' ) => '6'
	        ),
	        'std' => '2',
	    ),
	    array(
	        'type' => 'dropdown',
	        'heading' => esc_html__( 'Medium devices','wpwage' ),
	        'param_name' => 'col_md',
	        'description' => esc_html__( 'Desktops (992px)', 'wpwage' ),
	        'edit_field_class' => 'vc_col-sm-6 vc_column',
	        'value' => array(
	            esc_html__( '1 Column', 'wpwage' ) => '1',
	            esc_html__( '2 Columns', 'wpwage' ) => '2',
	            esc_html__( '3 Columns', 'wpwage' ) => '3',
	            esc_html__( '4 Columns', 'wpwage' ) => '4',
	            esc_html__( '6 Columns', 'wpwage' ) => '6'
	        ),
	        'std' => '4',
	    ),
	    array(
	        'type' => 'dropdown',
	        'heading' => esc_html__( 'Large devices','wpwage'),
	        'param_name' => 'col_lg',
	        'description' => esc_html__( 'Desktops (1200px)', 'wpwage' ),
	        'edit_field_class' => 'vc_col-sm-6 vc_column',
	        'value' => array(
	            esc_html__( '1 Column', 'wpwage' ) => '1',
	            esc_html__( '2 Columns', 'wpwage' ) => '2',
	            esc_html__( '3 Columns', 'wpwage' ) => '3',
	            esc_html__( '4 Columns', 'wpwage' ) => '4',
	            esc_html__( '5 Columns', 'wpwage' ) => '5',
	            esc_html__( '6 Columns', 'wpwage' ) => '6'
	        ),
	        'std' => '6',
	    ),
		/* End */
    )
));
class WPBakeryShortCode_cms_image_client extends CmsShortCode
{
    protected function content($atts, $content = null)
    {
    	wp_enqueue_script('owl-carousel-client',get_template_directory_uri().'/assets/js/owl.clients.js',array('jquery'),'1.0.0',true);

        $html_id = cmsHtmlID('owl-clients');
        $atts['autoplaytimeout'] = isset($atts['autoplaytimeout'])?(int)$atts['autoplaytimeout']:5000;
        $atts['col_lg'] = isset($atts['col_lg'])?(int)$atts['col_lg']:6;
        $atts['col_md'] = isset($atts['col_md'])?(int)$atts['col_md']:4;
        $atts['col_sm'] = isset($atts['col_sm'])?(int)$atts['col_sm']:2;
        $atts['col_xs'] = isset($atts['col_xs'])?(int)$atts['col_xs']:1;
        $atts['smartspeed'] = isset($atts['smartspeed'])?(int)$atts['smartspeed']:1000;
        $cms_carousel[$html_id] = array(
        	'margin' => 30,
        	'loop' => false,
        	'mouseDrag' => true,
        	'nav' => true,
        	'dots' => false,
        	'autoplay' => true,
        	'autoplayTimeout' => 5000,
        	'smartSpeed' => 1000,
        	'autoplayHoverPause' => true,
        	'navText' => array('<i class="fa fa-long-arrow-left"></i>','<i class="fa fa-long-arrow-right"></i>'),
        	'dotscontainer' => $html_id.' .cms-dots',
        	'responsive' => array(
        		0 => array(
        		"items" => $atts['col_xs'],
        		),
	        	768 => array(
	        		"items" => $atts['col_sm'],
	        		),
	        	992 => array(
	        		"items" => $atts['col_md'],
	        		),
	        	1200 => array(
	        		"items" => $atts['col_lg'],
	        		)
	        	)
        );
        wp_localize_script('owl-carousel-client', "owl_clients", $cms_carousel);
        wp_enqueue_script('owl-carousel-client');
        
        $atts['html_id'] = $html_id;

		return parent::content($atts, $content);
    }
}