<?php
vc_map(
    array(
        "name" => esc_html__("CMS Process", 'wpwage'),
        "base" => "cms_process",
        "class" => "vc-cms-process",
        "category" => esc_html__("CmsSuperheroes Shortcodes", 'wpwage'),
        "params" => array(

            array(
                'type' => 'param_group',
                'heading' => esc_html__( 'List Process', 'wpwage' ),
                'param_name' => 'values',
                'description' => esc_html__( 'Enter values MAX ITEM 5', 'wpwage' ),
                "group" => esc_html__("Process Settings", 'wpwage'),
                'value' => '',
                'params' => array(
                /* Process */
                    
                    /* Start Icon */
                   array(
                        'type' => 'dropdown',
                        'heading' => esc_html__( 'Icon library', 'wpwage' ),
                        'param_name' => 'icon_type',
                        'value' => array(
                            esc_html__( 'Font Awesome', 'wpwage' ) => 'fontawesome',
                            esc_html__( 'Pe Icon 7 Stroke', 'wpwage' ) => 'peicon7stroke',
                            esc_html__( 'Font Ello', 'wpwage' ) => 'fontello',
                        ),
                        'description' => esc_html__( 'Select icon library.', 'wpwage' ),
                        "group" => esc_html__("Process Settings", 'wpwage'),
                        
                    ),

                   array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon Item', 'wpwage' ),
                        'param_name' => 'icon_fontawesome',
                        'value' => '',
                        'settings' => array(
                            'emptyIcon' => true, // default true, display an "EMPTY" icon?
                            'type' => 'fontawesome',
                            'iconsPerPage' => 200, // default 100, how many icons per/page to display
                        ),
                        'dependency' => array(
                            'element' => 'icon_type',
                            'value' => 'fontawesome',
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
                        "group" => esc_html__("Process Settings", 'wpwage'),
                    ),

                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon Item', 'wpwage' ),
                        'param_name' => 'icon_peicon7stroke',
                        'value' => '',
                        'settings' => array(
                            'emptyIcon' => true, // default true, display an "EMPTY" icon?
                            'type' => 'peicon7stroke',
                            'iconsPerPage' => 200, // default 100, how many icons per/page to display
                        ),
                        'dependency' => array(
                            'element' => 'icon_type',
                            'value' => 'peicon7stroke',
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
                         "group" => esc_html__("Process Settings", 'wpwage'),
                    ),

                     array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon Item', 'wpwage' ),
                        'param_name' => 'icon_fontello',
                        'value' => '',
                        'settings' => array(
                            'emptyIcon' => true, // default true, display an "EMPTY" icon?
                            'type' => 'fontello',
                            'iconsPerPage' => 200, // default 100, how many icons per/page to display
                        ),
                        'dependency' => array(
                            'element' => 'icon_type',
                            'value' => 'fontello',
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
                        "group" => esc_html__("Process Settings", 'wpwage'),
                    ),
                    /*End Icon*/
                    array(
                        'type' => 'colorpicker',
                        'heading' => esc_html__('Icon color', 'wpwage'),
                        'param_name' => 'icon_color',
                        'value' => '#3261ab',
                        'description' => esc_html__('Select color.', 'wpwage'),
                        "group" => esc_html__("Process Settings", 'wpwage'),
                    ), 
                    array(
                        'type' => 'colorpicker',
                        'heading' => esc_html__('Title color', 'wpwage'),
                        'param_name' => 'title_color',
                        'value' => '#222',
                        'description' => esc_html__('Select color.', 'wpwage'),
                        "group" => esc_html__("Process Settings", 'wpwage'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'heading' => esc_html__('Background color', 'wpwage'),
                        'param_name' => 'bg_color',
                        'value' => '#fff',
                        'description' => esc_html__('Select color.', 'wpwage'),
                        "group" => esc_html__("Process Settings", 'wpwage'),
                    ),
                    array(
                        "type" => "textfield",
                        "heading" => esc_html__("Title process",'wpwage'),
                        "param_name" => "c_title",
                        "description" => esc_html__("Title Of Item",'wpwage'),
                        "group" => esc_html__("Process Settings", 'wpwage'),
                        "admin_label" => true,
                    ),
                 
                    array(
                        "type" => "textarea",
                        "heading" => esc_html__("Description",'wpwage'),
                        "param_name" => "description",
                        "value" => "",
                        "group" => esc_html__("Process Settings", 'wpwage')
                    ),
                ),
            ),
            
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra Class",'wpwage'),
                "param_name" => "class",
                "value" => "",
                "group" => esc_html__("Template", 'wpwage')
            ),
            array(
                'type' => 'img',
                'admin_label' => true,
                'heading' => esc_html__( 'Process Style', 'wpwage' ),
                'value' => array(
                    'process1' => get_template_directory_uri().'/inc/elements/process/process1.jpg',
                    'process2' => get_template_directory_uri().'/inc/elements/process/process2.jpg',
                ),
                'param_name' => 'process_style',
                'description' => esc_html__( 'Select style.', 'wpwage' ),
                "group" => esc_html__("Template", 'wpwage'),
                'std' =>'process1',
            ),

            array(
                "type" => "cms_template",
                "heading" => esc_html__("Shortcode Template",'wpwage'),
                "param_name" => "cms_template",
                "shortcode" => "cms_process",
                "admin_label" => true,
                "group" => esc_html__("Template", 'wpwage'),
            )
        )
    )
);
class WPBakeryShortCode_cms_process extends CmsShortCode{
    protected function content($atts, $content = null){
        $atts_extra = shortcode_atts(array(
            'c_title' => '',
            'description' => '',
            'cms_template' => 'cms_process.php',
            'class' => '',
                ), $atts);
        if ( isset( $atts['values'] ) && strlen( $atts['values'] ) > 0 ) {
            $values = vc_param_group_parse_atts( $atts['values'] );
            if ( ! is_array( $values ) ) {
                $temp = explode( ',', $atts['values'] );
                $paramValues = array();
                foreach ( $temp as $value ) {
                    $data = explode( '|', $value );
                    
                    $newLine = array();
                    $newLine['title'] = isset( $data[0] ) ? $data[0] : 0;
                    $newLine['label'] = isset( $data[1] ) ? $data[1] : '';
                    if ( isset( $data[1] ) && preg_match( '/^\d{1,3}\%$/', $data[1] ) ) {
                        $colorIndex += 1;
                        $newLine['value'] = (float) str_replace( '%', '', $data[1] );
                        $newLine['label'] = isset( $data[2] ) ? $data[2] : '';
                    }
                    
                    $paramValues[] = $newLine;
                }

                $atts['values'] = urlencode( json_encode( $paramValues ) );
            }
        }
        return parent::content($atts, $content);
    }
}