<?php
vc_map(
	array(
		"name" => esc_html__("CMS Product Detail", 'wpwage'),
	    "base" => "cms_product_detail",
	    "class" => "vc-cms-product",
	    "category" => esc_html__("CmsSuperheroes Shortcodes", 'wpwage'),
	    "params" => array(

	    	array(
	            'type' => 'param_group',
	            'heading' => esc_html__( 'List Detail', 'wpwage' ),
	            'param_name' => 'values',
	            'description' => esc_html__( 'Enter values for pricing item', 'wpwage' ),
	            "group" => esc_html__("Detail Settings", 'wpwage'),
	            'value' => '',
	            'params' => array(
			        array(
			            "type" => "textfield",
			            "heading" => esc_html__("Information Label",'wpwage'),
			            "param_name" => "information_case_label",
			            "value" => "",
			            "group" => esc_html__("Detail Settings", 'wpwage'),
			            "admin_label" => true,
			        ),
			        array(
			            "type" => "textfield",
			            "heading" => esc_html__("Information",'wpwage'),
			            "param_name" => "information_case",
			            "value" => "",
			            "group" => esc_html__("Detail Settings", 'wpwage'),
			            "admin_label" => true,
			        ),
            	),
        	),
	 		
			array(
	            "type" => "textfield",
	            "heading" => esc_html__("Extra Class",'wpwage'),
	            "param_name" => "class",
	            "value" => "",
	            "group" => esc_html__("Template", 'wpwage')
	        ),
	    	array(
	            "type" => "cms_template",
	            "heading" => esc_html__("Shortcode Template",'wpwage'),
	            "param_name" => "cms_template",
	            "shortcode" => "cms_product_detail",
	            "admin_label" => true,
	            "group" => esc_html__("Template", 'wpwage'),
	        ),
	       
		)
	)
);
class WPBakeryShortCode_cms_product_detail extends CmsShortCode{
	protected function content($atts, $content = null){
		$atts_extra = shortcode_atts(array(
			'information_case_label' => '',
			'information_case' => '',
			'cms_template' => 'cms_product_detail.php',
			'class' => '',
			    ), $atts);
		if ( isset( $atts['values'] ) && strlen( $atts['values'] ) > 0 ) {
            $values = vc_param_group_parse_atts( $atts['values'] );
            if ( ! is_array( $values ) ) {
                $temp = explode( ',', $atts['values'] );
                $paramValues = array();
                foreach ( $temp as $value ) {
                    $data = explode( '|', $value );
                    
                    $newLine = array();
                    $newLine['title'] = isset( $data[0] ) ? $data[0] : 0;
                    $newLine['label'] = isset( $data[1] ) ? $data[1] : '';
                    if ( isset( $data[1] ) && preg_match( '/^\d{1,3}\%$/', $data[1] ) ) {
                        $colorIndex += 1;
                        $newLine['value'] = (float) str_replace( '%', '', $data[1] );
                        $newLine['label'] = isset( $data[2] ) ? $data[2] : '';
                    }
                    
                    $paramValues[] = $newLine;
                }

                $atts['values'] = urlencode( json_encode( $paramValues ) );
            }
        }
		return parent::content($atts, $content);
	}
}