<?php
/**
 * get option from meta option
 */
function wage_get_meta_option($param_name) {
    global $opt_meta_options;

    if (isset($opt_meta_options[$param_name])) {
        return $opt_meta_options[$param_name];
    } else {
        return '';
    }
}

function wage_getfull_meta_option() {
    global $opt_meta_options;

    if (!empty($opt_meta_options)) return $opt_meta_options;
}

/**
 * @param  string $param param name in theme option
 * @return string
 */
function wage_get_theme_option($param) {
    global $opt_wage_options;

    if ( isset($opt_wage_options[$param]) ) {
        return $opt_wage_options[$param];
    } else {
        return '';
    }
}
/**
 * get header layout.
 */
function wage_header(){
    global $opt_wage_options, $opt_meta_options;

    if(empty($opt_wage_options) || !is_page()){
        get_template_part('inc/header/header', 'layout1');
        return;
    }

    if(is_page() && (!empty($opt_meta_options['header_layout']) && ( $opt_meta_options['header_layout'] != 'inherit')) )
        $opt_wage_options['header_layout'] = $opt_meta_options['header_layout'];

    /* load custom header template. */
    get_template_part('inc/header/header', $opt_wage_options['header_layout']);
}

function header_nav_fullscreen() {
    global $opt_meta_options;

    if(is_page() && (!empty($opt_meta_options['header_layout']) && ( $opt_meta_options['header_layout'] == 'fullscreenmenu')) ) {

       
        ?>
            <div class="fullscreen-menu-wrap visible-lg visible-md">
                <?php  wage_header_logo_fullscreen(); ?>
                <nav id="site-navigation-des" class="main-navigation-des">
                    <?php wage_header_navigation_full(); ?>
                </nav><!-- #site-navigation -->
            </div>
    <?php
    }
}
add_action('header_nav_fullscreen', 'header_nav_fullscreen');

/**
 * get theme logo.
 */
function wage_header_logo(){
    global $opt_wage_options;

    echo '<div class="main_logo">';

    if(!empty($opt_wage_options['main_logo']['url'])) {
        echo '<a href="' . esc_url(home_url('/')) . '"><img alt="' .  get_bloginfo( "name" ) . '" src="' . esc_url($opt_wage_options['main_logo']['url']) . '"></a>';
    } else {
        echo '<h1 class="site-title"><a href="' . esc_url( home_url( '/' )) . '" rel="home">' . get_bloginfo( "name" ) . '</a></h1>';
        echo '<p class="site-description">' . get_bloginfo( "description" ) . '</p>';
    } 
    echo '</div>';

    wage_header_sticky_logo();
}

function wage_header_logo_fullscreen(){
    global $opt_wage_options,$opt_meta_options;

    echo '<div class="main_logo">';

    if(!empty($opt_wage_options['main_logo']['url'])) {
        if (!empty($opt_meta_options['full_logo']['url'])) {
            echo '<a href="' . esc_url(home_url('/')) . '"><img alt="' .  get_bloginfo( "name" ) . '" src="' . esc_url($opt_meta_options['full_logo']['url']) . '"></a>';
        }else {
             echo '<a href="' . esc_url(home_url('/')) . '"><img alt="' .  get_bloginfo( "name" ) . '" src="' . esc_url($opt_wage_options['main_logo']['url']) . '"></a>';
        }
       
    } else {
        echo '<h1 class="site-title"><a href="' . esc_url( home_url( '/' )) . '" rel="home">' . get_bloginfo( "name" ) . '</a></h1>';
        echo '<p class="site-description">' . get_bloginfo( "description" ) . '</p>';
    } 
    echo '</div>';

    wage_header_sticky_logo_fullscreen();
}

function wage_header_logo_transparent(){
    global $opt_wage_options;

    echo '<div class="main_logo">';

    if(!empty($opt_wage_options['main_logo_transparent']['url'])) {
        echo '<a href="' . esc_url(home_url('/')) . '"><img alt="' .  get_bloginfo( "name" ) . '" src="' . esc_url($opt_wage_options['main_logo_transparent']['url']) . '"></a>';
    } else {
        echo '<h1 class="site-title"><a href="' . esc_url( home_url( '/' )) . '" rel="home">' . get_bloginfo( "name" ) . '</a></h1>';
        echo '<p class="site-description">' . get_bloginfo( "description" ) . '</p>';
    }

    echo '</div>';

    wage_header_sticky_logo();
}

/**
 * get theme logo.
 */
function wage_header_sticky_logo(){
    global $opt_wage_options;

    /* sticky off. */
    if(!isset($opt_wage_options['menu_sticky']) || !$opt_wage_options['menu_sticky'])
        return;

    /* default logo. */
    if(!isset($opt_wage_options['sticky_logo_type']) || $opt_wage_options['sticky_logo_type'] == 'default')
        return;

    echo '<div class="sticky_logo hide">';

    if(isset($opt_wage_options['sticky_logo_type']) && $opt_wage_options['sticky_logo_type'] == 'img' && !empty($opt_wage_options['sticky_logo']['url'])) {
        echo '<a href="' . esc_url(home_url('/')) . '"><img alt="' .  get_bloginfo( "name" ) . '" src="' . esc_url($opt_wage_options['sticky_logo']['url']) . '"></a>';
    } else {
        echo '<h1 class="site-title"><a href="' . esc_url( home_url( '/' )) . '" rel="home">' . get_bloginfo( "name" ) . '</a></h1>';
        echo '<p class="site-description">' . get_bloginfo( "description" ) . '</p>';
    }

    echo '</div>';
}
/**
 * get theme logo.
 */
function wage_header_sticky_logo_fullscreen(){
    global $opt_wage_options,$opt_meta_options;

    /* sticky off. */
    if(!isset($opt_wage_options['menu_sticky']) || !$opt_wage_options['menu_sticky'])
        return;


    echo '<div class="sticky_logo sticky_logo_full  hide">';

    if(!empty($opt_meta_options['full_logo_sticky']['url'])) {
        echo '<a href="' . esc_url(home_url('/')) . '"><img alt="' .  get_bloginfo( "name" ) . '" src="' . esc_url($opt_meta_options['full_logo_sticky']['url']) . '"></a>';
    } else {
        echo '<h1 class="site-title"><a href="' . esc_url( home_url( '/' )) . '" rel="home">' . get_bloginfo( "name" ) . '</a></h1>';
        echo '<p class="site-description">' . get_bloginfo( "description" ) . '</p>';
    }

    echo '</div>';
}
/**
 * get header class.
 */
function wage_header_class($class = ''){
    global $opt_wage_options;

    if(empty($opt_wage_options)){
        echo esc_attr($class);
        return;
    }

    if($opt_wage_options['menu_sticky'])
        $class .= ' sticky-desktop';

    $enable_top_bar = empty($opt_wage_options['enable_top_bar']) && ($opt_wage_options['enable_top_bar']=="0") ;
    if ($enable_top_bar) {
         $class .= ' disable_topbar ';
    }


    echo esc_attr($class);
}

/**
 * main navigation.
 */
function wage_header_navigation(){

    global $opt_meta_options;

    $attr = array(
        'menu_class' => 'nav-menu menu-main-menu',
        'menu_id' => 'menu-main-menu', // fixed ID Mainmenu
        'theme_location' => 'primary'
    );

    if(is_page() && !empty($opt_meta_options['header_menu']))
        $attr['menu'] = $opt_meta_options['header_menu'];

    /* enable mega menu. */
    if(class_exists('HeroMenuWalker')){ $attr['walker'] = new HeroMenuWalker(); }

    $locations = get_nav_menu_locations();

    /* main nav. */
    wp_nav_menu( $attr );
}
/**
 * main navigation.
 */
function wage_header_navigation_full(){

    global $opt_meta_options;

    $attr = array(
        'menu_class' => 'nav-menu menu-main-menu',
        'menu_id' => 'menu-main-menu-full', // fixed ID Mainmenu
        'theme_location' => 'primary'
    );

    if(is_page() && !empty($opt_meta_options['header_menu']))
        $attr['menu'] = $opt_meta_options['header_menu'];

    /* enable mega menu. */
    if(class_exists('HeroMenuWalker')){ $attr['walker'] = new HeroMenuWalker(); }

    $locations = get_nav_menu_locations();

    /* main nav. */
    wp_nav_menu( $attr );
}

/**
 * get page title layout
 */
function wage_page_title(){
    global $opt_wage_options, $opt_meta_options;

    /* default. */
    $layout ='';
    /* get theme options */
    if(isset($opt_wage_options['page_title_layout']))
        $layout = $opt_wage_options['page_title_layout'];

    /* custom layout from page. */
   if(is_page() && isset($opt_meta_options['button_set_pagetitle']) && $opt_meta_options['button_set_pagetitle'] == '1')
        return;

    ?>
    <div id="page-title" class="page-title-wrap <?php echo esc_attr('layout-'.$layout);?>">
        
        <?php switch ($layout){
            case 'default':
                ?>
                <div class="container">
                    <div class="page_title">
                        <div id="breadcrumb-text" class="breadcrumb-text ">
                             <?php wage_get_bread_crumb(); ?>
                        </div> 
                        <div id="page-title-text" class="page-title-text ">
                            <h2><?php wage_get_page_title(); ?></h2>
                        </div>
                        
                    </div>
                </div>
                <?php
                break;
        } ?>
    </div><!-- #page-title -->
   
    <?php
}
/**
 * page title
 */
function wage_get_page_title(){

    global $opt_meta_options;

    if (!is_archive()){
        /* page. */
        if(is_page()) :
            /* custom title. */
            if(!empty($opt_meta_options['page_title_text'])):
                echo esc_html($opt_meta_options['page_title_text']);
            else :
                the_title();
            endif;
        elseif (is_front_page()):
            esc_html_e('Blog', 'wpwage');
        /* search */
        elseif (is_search()):
            printf( esc_html__( 'Search Results for: %s', 'wpwage' ), '<span>' . get_search_query() . '</span>' );
        /* 404 */
        elseif (is_404()):
            esc_html_e( '404', 'wpwage');
        /* other */
        elseif (is_singular('post')) :
            esc_html_e('Blog Single', 'wpwage');

        elseif (is_singular('projects')) :
            esc_html_e('Project Detail', 'wpwage');

        elseif (is_singular('services')) :
            esc_html_e('Services Single', 'wpwage');

        elseif (is_singular('product')) :
            esc_html_e('Single Product', 'wpwage');

        else :
            the_title();
        endif;
    } else {
        /* category. */
        if ( is_category() ) :
            single_cat_title();
        elseif ( is_tag() ) :
            /* tag. */
            single_tag_title();
        /* author. */
        elseif ( is_author() ) :
            printf( esc_html__( 'Author: %s', 'wpwage' ), '<span class="vcard">' . get_the_author() . '</span>' );
        /* date */
        elseif ( is_day() ) :
            printf( esc_html__( 'Day: %s', 'wpwage' ), '<span>' . get_the_date() . '</span>' );
        elseif ( is_month() ) :
            printf( esc_html__( 'Month: %s', 'wpwage' ), '<span>' . get_the_date() . '</span>' );
        elseif ( is_year() ) :
            printf( esc_html__( 'Year: %s', 'wpwage' ), '<span>' . get_the_date() . '</span>' );
        /* post format */
        elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
            esc_html_e( 'Asides', 'wpwage' );
        elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
            esc_html_e( 'Galleries', 'wpwage');
        elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
            esc_html_e( 'Images', 'wpwage');
        elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
            esc_html_e( 'Videos', 'wpwage' );
        elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
            esc_html_e( 'Quotes', 'wpwage' );
        elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
            esc_html_e( 'Links', 'wpwage' );
        elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
            esc_html_e( 'Statuses', 'wpwage' );
        elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
            esc_html_e( 'Audios', 'wpwage' );
        elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
            esc_html_e( 'Chats', 'wpwage' );
        /* woocommerce */
        elseif (function_exists('is_woocommerce') && is_woocommerce()):
            woocommerce_page_title();
        else :
            /* other */
            the_title();
        endif;
    }
}

/**
 * Breadcrumb NavXT
 *
 * @since 1.0.0
 */
function wage_get_bread_crumb() {

    if(!function_exists('bcn_display')) return;

    bcn_display();
}

/**
 * Display an optional post detail.
 */
function wage_post_detail(){
    global $opt_wage_options;

    ?>
    <ul class="single_detail">

        <?php if(isset($opt_wage_options['single_author']) && $opt_wage_options['single_author']): ?>

            <li class="detail-author"><?php esc_html_e('By', 'wpwage'); ?> <?php the_author_posts_link(); ?></li>

        <?php endif; ?>

        <?php if(!isset($opt_wage_options['single_comment']) || (isset($opt_wage_options['single_comment']) && $opt_wage_options['single_comment'])): ?>

            <li class="detail-comment"><i class="fa fa-comments-o"></i><a href="<?php the_permalink(); ?>"><?php echo esc_html(comments_number('0','1','%')); ?> <?php esc_html_e('Comments', 'wpwage'); ?></a></li>

        <?php endif; ?>
    </ul>
    <?php
}

/**
 * Display an optional post video.
 */
function wage_post_video() {

    global $opt_meta_options, $wp_embed;

    /* no video. */
    if(empty($opt_meta_options['opt-video-type'])) {
        wage_post_thumbnail();
        return;
    }

    if($opt_meta_options['opt-video-type'] == 'local' && !empty($opt_meta_options['otp-video-local']['id'])){

        $video = wp_get_attachment_metadata($opt_meta_options['otp-video-local']['id']);

        echo do_shortcode('[video width="'.esc_attr($opt_meta_options['otp-video-local']['width']).'" height="'.esc_attr($opt_meta_options['otp-video-local']['height']).'" '.$video['fileformat'].'="'.esc_url($opt_meta_options['otp-video-local']['url']).'" poster="'.esc_url($opt_meta_options['otp-video-thumb']['url']).'"][/video]');

    } elseif($opt_meta_options['opt-video-type'] == 'youtube' && !empty($opt_meta_options['opt-video-youtube'])) {

        echo do_shortcode($wp_embed->run_shortcode('[embed]'.esc_url($opt_meta_options['opt-video-youtube']).'[/embed]'));

    } elseif($opt_meta_options['opt-video-type'] == 'vimeo' && !empty($opt_meta_options['opt-video-vimeo'])) {

        echo do_shortcode($wp_embed->run_shortcode('[embed]'.esc_url($opt_meta_options['opt-video-vimeo']).'[/embed]'));

    }
}

/**
 * Display an optional post audio.
 */
function wage_post_audio() {
    global $opt_meta_options;

    /* no audio. */
    if(empty($opt_meta_options['otp-audio']['id'])) {
        wage_post_thumbnail();
        return;
    }

    $audio = wp_get_attachment_metadata($opt_meta_options['otp-audio']['id']);

    echo do_shortcode('[audio '.$audio['fileformat'].'="'.esc_url($opt_meta_options['otp-audio']['url']).'"][/audio]');
}

/**
 * Display an optional post gallery.
 */
function wage_post_gallery(){
    global $opt_meta_options;

    /* no audio. */
    if(empty($opt_meta_options['opt-gallery'])) {
        wage_post_thumbnail('large');
        return;
    }

    $array_id = explode(",", $opt_meta_options['opt-gallery']);

    ?>
    <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner">
            <?php $i = 0; ?>
            <?php foreach ($array_id as $image_id): ?>
                <?php
                $attachment_image = wp_get_attachment_image_src($image_id, 'large', false);
                if($attachment_image[0] != ''):?>
                    <div class="item <?php if( $i == 0 ){ echo 'active'; } ?>">
                        <img style="width:100%;" data-src="holder.js" src="<?php echo esc_url($attachment_image[0]);?>" alt="" />
                    </div>
                <?php $i++; endif; ?>
            <?php endforeach; ?>
        </div>
        <a class="left carousel-control" href="#carousel-example-generic" data-slide="prev">
            <span class="fa fa-angle-left"></span>
        </a>
        <a class="right carousel-control" href="#carousel-example-generic" data-slide="next">
            <span class="fa fa-angle-right"></span>
        </a>
    </div>
    <?php
}

/**
 * Display an optional post quote.
 */
function wage_post_quote() {
    global $opt_meta_options;

    if(empty($opt_meta_options['opt-quote-content'])){
        wage_post_thumbnail();
        return;
    }

    $opt_meta_options['opt-quote-title'] = !empty($opt_meta_options['opt-quote-title']) ? '<span>'.esc_html($opt_meta_options['opt-quote-title']).'</span>' : '' ;

    echo '<blockquote>'.esc_html($opt_meta_options['opt-quote-content']).wp_kses_post($opt_meta_options['opt-quote-title']).'</blockquote>';
}

/**
 * Display an optional post thumbnail.
 *
 * Wraps the post thumbnail in an anchor element on index
 * views, or a div element when on single views.
 */
function wage_post_thumbnail($thumb = '') {
    if ( post_password_required() || is_attachment() || ! has_post_thumbnail() ) {
        return;
    }
     $thumb = (!empty($thumb)) ? $thumb : 'large';
    echo '<div class="post-thumbnail">';
            the_post_thumbnail($thumb);
            ?>
               <div class="meta-date wow fadeInDown">
                    <div class="meta-date-inner">
                        <span><?php echo get_the_time('M'); ?></span>
                        <span><?php echo get_the_time('d'); ?></span>
                        <span class="year"><?php echo get_the_time('Y'); ?></span>
                    </div>
                </div>
                <div class="category wow fadeInUp"><?php the_terms( get_the_ID(), 'category', '', ', ' ); ?></div>
            
            <?php
    echo '</div>';
}

function wage_post_thumbnail_grid($thumb = '') {
    if ( post_password_required() || is_attachment() || ! has_post_thumbnail() ) {
        return;
    }
     $thumb = (!empty($thumb)) ? $thumb : 'wage-thumb-blog-mark';
    echo '<div class="post-thumbnail post_thumnail_grid_mark">';
            the_post_thumbnail($thumb);
            ?>
               <div class="meta-date wow fadeInDown hidden-xs">
                    <div class="meta-date-inner">
                        <span class="day"><?php echo get_the_time('d'); ?></span>
                        <span><?php echo get_the_time('M'); ?></span>
                        
                    </div>
                </div>
                <div class="meta-detail">
                    <?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
                    <div class="author hidden-xs"><?php esc_html_e('Posted by ', 'wpwage'); ?> <?php the_author_posts_link(); ?><?php echo esc_html__(' / ','wpwage'); ?><a href="<?php the_permalink(); ?>"><?php echo esc_html(comments_number('0','1','%')); ?> <?php esc_html_e('Comments', 'wpwage'); ?></a></div>
                    <div class="cate"><?php the_terms( get_the_ID(), 'category', '', ', ' ); ?></div> 
                </div>
            
            <?php
    echo '</div>';
}

function wage_post_sidebar(){
    global $opt_wage_options;

    $_sidebar = 'right';

    if(isset($opt_wage_options['single_layout']))
        $_sidebar = $opt_wage_options['single_layout'];

    return 'is-sidebar-' . esc_attr($_sidebar);
}

function wage_post_class(){
    global $opt_wage_options;

    $_class = "col-xs-12 col-sm-9 col-md-9 col-lg-9";

    if(isset($opt_wage_options['single_layout']) && $opt_wage_options['single_layout'] == 'full')
        $_class = "col-xs-12 col-sm-12 col-md-12 col-lg-12";

    echo esc_attr($_class);
}

/**
 * Display an optional archive detail.
 */
function wage_archive_detail(){
    global $opt_wage_options;

    ?>
    <ul class="archive_detail">

        <?php if(!isset($opt_wage_options['archive_author']) || (isset($opt_wage_options['archive_author']) && $opt_wage_options['archive_author'])): ?>

            <li class="detail-author"><?php esc_html_e('By', 'wpwage'); ?> <?php the_author_posts_link(); ?></li>

        <?php endif; ?>

        <?php if(!isset($opt_wage_options['archive_comment']) || (isset($opt_wage_options['archive_comment']) && $opt_wage_options['archive_comment'])): ?>

            <li class="detail-comment"><i class="fa fa-comments-o"></i><a href="<?php the_permalink(); ?>"><?php echo esc_html(comments_number('0','1','%')); ?> <?php esc_html_e('Comments', 'wpwage'); ?></a></li>

        <?php endif; ?>

        <?php if(has_tag() && (!isset($opt_wage_options['archive_tag']) || (isset($opt_wage_options['archive_tag']) && $opt_wage_options['archive_tag']))): ?>

            <li class="detail-tags"><?php the_tags('<i class="fa fa-tags"></i>', ', ' ); ?></li>

        <?php endif; ?>

       

    </ul>
    <?php
}

function wage_archive_sidebar(){
    global $opt_wage_options;

    $_sidebar = 'right';

    if(isset($opt_wage_options['archive_layout']))
        $_sidebar = $opt_wage_options['archive_layout'];

    return 'is-sidebar-' . esc_attr($_sidebar);
}

function wage_archive_class(){
    global $opt_wage_options;

    $_class = "col-xs-12 col-sm-9 col-md-9 col-lg-9";

    if(isset($opt_wage_options['archive_layout']) && $opt_wage_options['archive_layout'] == 'full')
        $_class = "col-xs-12 col-sm-12 col-md-12 col-lg-12";

    echo esc_attr($_class);
}
/**
 * print favicon
 * 
 * @return void
 */
function wage_favicon() {
    global $opt_wage_options;
    if ( empty($opt_wage_options) )
        return;

    $fav_icon = $opt_wage_options['favicon_icon'];
    if ((!function_exists( 'wp_site_icon' ) || ! wp_site_icon()) && !empty($fav_icon) ) {
        echo '<link rel="icon" type="image/png" href="'.esc_url($fav_icon['url']).'"/>';
    }
}
add_action('wp_head', 'wage_favicon');

/**
 * Article social share
 */
function wage_single_social_share() {
    global $opt_theme_options;
    $url = get_the_permalink();
    ?>
       
        <ul class="single-social-share-wrap">
            <span><?php echo esc_html__('Share: ','wpwage'); ?> </span>
            <li>
                <a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink();?>" target="blank">
                    <i class="fa fa-facebook"></i>
                </a>
            </li>
            <li>
                <a href="https://twitter.com/home?status=<?php esc_html_e('Check out this article', 'wpwage');?>:%20<?php echo get_the_title();?>%20-%20<?php the_permalink();?>"  target="blank">
                    <i class="fa fa-twitter"></i>
                </a>
            </li>
             <li>
                <a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>"  target="blank">
                    <i class="fa fa-pinterest"></i>
                </a>
            </li>
           <li>
                <a href="https://plus.google.com/share?url=<?php the_permalink();?>"  target="blank">
                    <i class="fa fa-google-plus"></i>
                </a>
            </li>
            
        </ul>
    <?php
}
/**
 * add class for #content
 */
function wage_set_padding_class() {
    global $opt_meta_options;
    $main_content_class = array();
    $main_content_class[] = 'p-60-cont';
    
     if (class_exists('WooCommerce') && is_shop()) {
        $shop_page =  wc_get_page_id('shop');
        $shop_pdt = get_post_meta( $shop_page , 'ef3-page_general_padding_top', true );
        $shop_pdbt = get_post_meta( $shop_page , 'ef3-page_general_padding_bottom', true );
        $main_content_class[] = (!empty($shop_pdt)) ? 'pt-0' : '';
        $main_content_class[] = (!empty($shop_pdbt)) ? 'pb-0' : '';
    }
    else {
        $main_content_class[] = (!empty($opt_meta_options['page_general_padding_top']) && !is_search() ) ? 'pt-0' : '';
        $main_content_class[] = (!empty($opt_meta_options['page_general_padding_bottom']) && !is_search()) ? 'pb-0' : '';
    }

    return implode(' ', $main_content_class);
}
/**
 * Added prefix class to body
 */
add_filter( 'body_class', 'wage_prefix_bodyclass' );
function wage_prefix_bodyclass( $classes ) {
    global  $opt_wage_options,$opt_meta_options;
    
    if ( basename( get_page_template() ) == '404.php' ) {
        $classes[] = 'error404';    
    }

    if ( !empty($opt_wage_options['general_layout']) && $opt_wage_options['general_layout'] == 2) {
        $classes[] = 'boxed';
    }

    if ( !empty($opt_meta_options['page_space_body']) && $opt_meta_options['page_space_body'] == 1) {
        $classes[] = 'spacebody';
    }
    if (!empty($opt_meta_options['rev_slider_show']) && ($opt_meta_options['rev_slider_show']== true)) {
        $classes[] = 'revslider_on_header';
    }


    // return the $classes array
    return $classes;
}
function wage_header_layout_class() {
     global  $opt_wage_options,$opt_meta_options;
     $layout = '';
     $layout = ((!empty($opt_wage_options['header_layout'])) && (!empty($opt_meta_options['header_layout']) && ( $opt_meta_options['header_layout'] != 'inherit')))?$opt_meta_options['header_layout']:$opt_wage_options['header_layout'];
     if(!is_page()){
        $layout = 'layout1';
     }
     switch ($layout ) {
        case 'layout1':
             echo esc_attr($layout);
             break;
        case 'layout2':
             echo esc_attr($layout);
             return;
             break; 
        case 'layout3':
              echo esc_attr($layout);
              return;
             break;
         
         default:
             echo esc_attr($layout);
             return;
             break;
     }

     $layout1_header_boxed ='';
     if(!isset($opt_meta_options['layout1_header_boxed']) || $opt_meta_options['layout1_header_boxed'] == 'inherit'){
        $layout1_header_boxed = (!empty($opt_wage_options['layout1_header_boxed']) && ($opt_wage_options['layout1_header_boxed']=="1"))?' layout1_header_boxed':'';
     }
     else{
        $layout1_header_boxed = (!empty($opt_meta_options['layout1_header_boxed']) && ($opt_meta_options['layout1_header_boxed']=="1"))?' layout1_header_boxed':'';
     }
  
    echo esc_attr( $layout1_header_boxed);
}
/**
 * get meta option list category slider.
 * @return array
 */

function wage_project_slider() {
        $portfolio_category = '';
        $terms = get_the_terms(get_the_ID(), 'categories_projects');

            $portfolio_category = array();
            foreach ($terms as $term){
                $portfolio_category[] = $term->term_id;
            }  
            $portfolio_category = '|tax_query:'.implode(',', $portfolio_category);
            ?>
            <div class="portfolio-related-wrap heading clearfix">
                <h3 class="cmsc-custom-heading vc_custom_heading"><span class="head">Related </span> <span class="final">project</span></h3>
                <?php echo apply_filters('the_content','[cms_grid col_xs="1" col_sm="2" col_md="3" col_lg="3"  source="size:3|order_by:date|post_type:projects|'.$portfolio_category.'" cms_template="cms_grid--project.php" ]'); ?>
            </div>
<?php  
}
/**
 * Social Team 
 */
function wage_team_social() {
    global $opt_meta_options;
    ?>
    <div class="social_team_wrap">
         <ul class="social_team zero-size">
                                              
            <?php if(!empty($opt_meta_options['face_url_team'])) { ?>
             <li>
                <a class="face_url_team btn-brd" href="<?php echo ($opt_meta_options['face_url_team']); ?>"><i class="fa fa-facebook"></i></a>
            </li>
            <?php } ?>
            <?php if(!empty($opt_meta_options['twitter_url_team']))  { ?>
            <li>
                <a class="twitter_url_team btn-brd"  href="<?php echo ($opt_meta_options['twitter_url_team']); ?>"><i class="fa fa-twitter"></i></a>
             </li>
            <?php } ?>
            <?php if(!empty($opt_meta_options['instagram_url_team']))  { ?>
            <li>
                <a class="instagram_url_team btn-brd"  href="<?php echo ($opt_meta_options['instagram_url_team']); ?>"><i class="fa fa-instagram"></i></a>
             </li>
            <?php } ?>
        </ul>
    </div>
    <?php
   
}
/*/ RevSlider -- Get Slider show meta option/*/
function wage_get_list_rev_slider() {
    if (class_exists('RevSlider')) {

        $slider = new RevSlider();
        $arrSliders = $slider->getArrSliders();

        $revsliders = array(''=>'');
        if ($arrSliders) {
            foreach ($arrSliders as $slider) {
                $revsliders[$slider->getAlias()] = $slider->getTitle();
            }
        } else {
            $revsliders[esc_html__('No sliders found', 'wpwage' )] = 0;
        }
    return $revsliders;
    }
}

/**
 * get meta option list category slider.
 * @return array
 */
function wage_get_meta_option_slider() {
    global $opt_meta_options;
    if (!empty($opt_meta_options['rev_slider_show']) && ($opt_meta_options['rev_slider_show']== true)) {

  ?>
        <div class="mainbanner_rev_wrap indent-header main-top">
            <?php echo do_shortcode('[rev_slider_vc alias="'.$opt_meta_options['select_rev_slider'].'"]'); ?>
        </div>
  <?php

    }
}
/**
 * Pre header cart search
 */
function wage_header_cart_search() {
    ?>
    <div class="widget_cart_search_wrap">
        <div class="header-search-cart clearfix">
            <a id="dropdown-search" href="#" class="icon-search header-icon header-icon cd-search-trigger"><span class="fa fa-search"></span></a>
            <div class="cshero-popup-search">
                <div class="cshero-search-inner">
                    <?php get_search_form();?>
                </div>
            </div> 
            <?php if ( class_exists('WC_Widget_Cart') ): ?>
                <a href="javascript:void(0)" class="icon_cart_wrap header-icon" data-display=".shopping_cart_dropdown" data-no_display=".widget_searchform_content" ><i class="fa fa-shopping-bag"></i><span class="cart_total">0</span></a>
            <?php endif; ?>
        </div>

        <?php if ( class_exists( 'WC_Widget_Cart' ) ): ?>
            <div class="shopping_cart_dropdown hidden">
                <div class="shopping_cart_dropdown_inner">
                    <?php woocommerce_mini_cart(); ?>
                </div>
            </div>
        <?php endif; ?>
    </div>
    <?php
}
add_action('wage_header_cart_search', 'wage_header_cart_search');