<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @since 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php wage_post_thumbnail(); ?>

	<header class="entry-header">

			<?php the_title( '<h3 class="entry-title">', '</h3>' ); ?>

		<div class="entry-meta">

			<?php wage_post_detail(); ?>

		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->


	<div class="entry-content">
		<?php
		/* translators: %s: Name of current post */
		the_content( sprintf(
			__( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'wpwage' ),
			the_title( '<span class="screen-reader-text">', '</span>', false )
		) );

		wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wpwage' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
		) );
		?>
	</div><!-- .entry-content -->
	<footer class="entry-meta">
		<div class="row">
			<div class="col-md-6 col-sm-12 col-xs-12"><?php the_tags( '<span class="tag-links">', '', '</span>' ); ?></div>
			<div class="col-md-6 col-sm-12 col-xs-12"><?php wage_single_social_share(); ?></div>
		</div>
	</footer>
</article><!-- #post-## -->
