<?php

vc_add_param("cms_carousel", array(
    'type' => 'textfield',
    'heading' => esc_html__('Heading', 'wpwage'),
    'param_name' => 'custom_heading',
    'value' => '',
    'description' => esc_html__('Custom Heading & Nav On Top.', 'wpwage'),
     "group" => esc_html__("Template", 'wpwage'),
));
vc_add_param("cms_carousel", array(
    'type' => 'colorpicker',
    'heading' => esc_html__('Overlay background color', 'wpwage'),
    'param_name' => 'overlay_color',
    'value' => '',
    'description' => esc_html__('Select background overlay.', 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_carousel--projects.php',
        ),
    ),
     "group" => esc_html__("Template", 'wpwage'),
));

vc_add_param('cms_carousel', array(
    'type' => 'img',
    'admin_label' => true,
    'heading' => esc_html__( 'Style', 'wpwage' ),
    'value' => array(
        'layout1' => get_template_directory_uri().'/vc_params/carousel/carousel-testi-1.jpg',
        'layout2' => get_template_directory_uri().'/vc_params/carousel/carousel-testi-2.jpg',
        'layout3' => get_template_directory_uri().'/vc_params/carousel/carousel-testi-3.jpg',
    ),
    'param_name' => 'carousel_testimonials_style',
    'std' => "layout1",
    'description' => esc_html__( 'Select style.', 'wpwage' ),
    "group" => esc_html__("Template", 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_carousel--testimonials.php',
        ),
    ),
));

vc_add_param('cms_carousel', array(
    'type' => 'checkbox',
    'heading' => esc_html__( 'Block Center', 'wpwage' ),
    'param_name' => 'carousel_testimonial_default_block_center',
    "group" => esc_html__("Template", 'wpwage'),
    'dependency' => array(
        'element' => 'carousel_testimonials_style',
        'value' => array(
            'layout1' 
        ),
    ),
    'std' => false,
));
vc_add_param('cms_carousel', array(
    'type' => 'colorpicker',
    'heading' => esc_html__( 'Background Color Image', 'wpwage' ),
    'param_name' => 'grid_blog_bg_color',
    "group" => esc_html__("Template", 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_carousel.php',
        ),
    ),
));
vc_add_param('cms_carousel', array(
    'type' => 'img',
    'admin_label' => true,
    'heading' => esc_html__( 'Style', 'wpwage' ),
    'value' => array(
        'layout1' => get_template_directory_uri().'/vc_params/carousel/carousel-blog-default.jpg',
        'layout2' => get_template_directory_uri().'/vc_params/carousel/carousel-blog-layout2.jpg',
    ),
    'param_name' => 'carousel_blog_style',
    'std' => "layout1",
    'description' => esc_html__( 'Select style.', 'wpwage' ),
    "group" => esc_html__("Template", 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_carousel.php',
        ),
    ),
));