<?php 
vc_remove_param('cms_fancybox_single', 'title');
vc_remove_param('cms_fancybox_single', 'description_item');
vc_remove_param('cms_fancybox_single', 'description');
vc_remove_param('cms_fancybox_single', 'button_type');
vc_remove_param('cms_fancybox_single', 'button_link');
vc_remove_param('cms_fancybox_single', 'button_text');
vc_remove_param('cms_fancybox_single', 'image');
vc_remove_param('cms_fancybox_single', 'content_align');

vc_add_param('cms_fancybox_single', array(
    'type' => 'img',
    'admin_label' => true,
    'heading' => esc_html__( 'Fancy Style', 'wpwage' ),
    'value' => array(
        'style1' => get_template_directory_uri().'/vc_params/fancy/fancy1.jpg',
       'style2' => get_template_directory_uri().'/vc_params/fancy/fancy2.jpg',
        'style3' => get_template_directory_uri().'/vc_params/fancy/fancy3.jpg',
        'style4' => get_template_directory_uri().'/vc_params/fancy/fancy4.jpg',
        /* 'style5' => get_template_directory_uri().'/vc_params/fancy/fancy5.jpg',*/
    ),
    'param_name' => 'fancy_style',
    'description' => esc_html__( 'Select fancy style.', 'wpwage' ),
    'weight' => 1,
    "group" => esc_html__("Template", 'wpwage'),
));


vc_add_param('cms_fancybox_single', array(
    "type" => "textfield",
    "heading" => esc_html__("Extra Class",'wpwage'),
    "param_name" => "class",
    "value" => "",
    "description" => '',
    "group" => esc_html__("Template", 'wpwage'),
));

/* Start Icon */
vc_add_param('cms_fancybox_single', array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Icon library', 'wpwage' ),
    'param_name' => 'icon_type',
    'value' => array(
        esc_html__( 'Font Awesome', 'wpwage' ) => 'fontawesome',
        esc_html__( 'Pe Icon 7 Stroke', 'wpwage' ) => 'peicon7stroke',
        esc_html__( 'Font Ello', 'wpwage' ) => 'fontello',
    ),
    'description' => esc_html__( 'Select icon library.', 'wpwage' ),
    "group" => esc_html__("Fancy Content", 'wpwage'),
     'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style1',
            'style2',
            'style3',
        ),
    )
));

vc_add_param('cms_fancybox_single', array(
    'type' => 'iconpicker',
    'heading' => esc_html__( 'Icon Item', 'wpwage' ),
    'param_name' => 'icon_fontawesome',
    'value' => '',
    'settings' => array(
        'emptyIcon' => true, // default true, display an "EMPTY" icon?
        'type' => 'fontawesome',
        'iconsPerPage' => 200, // default 100, how many icons per/page to display
    ),
    'dependency' => array(
        'element' => 'icon_type',
        'value' => 'fontawesome',
    ),
    'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
    "group" => esc_html__("Fancy Content", 'wpwage'),
));

vc_add_param('cms_fancybox_single', array(
    'type' => 'iconpicker',
    'heading' => esc_html__( 'Icon Item', 'wpwage' ),
    'param_name' => 'icon_peicon7stroke',
    'value' => '',
    'settings' => array(
        'emptyIcon' => true, // default true, display an "EMPTY" icon?
        'type' => 'peicon7stroke',
        'iconsPerPage' => 200, // default 100, how many icons per/page to display
    ),
    'dependency' => array(
        'element' => 'icon_type',
        'value' => 'peicon7stroke',
    ),
    'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
    "group" => esc_html__("Fancy Content", 'wpwage'),
));

vc_add_param('cms_fancybox_single', array(
    'type' => 'iconpicker',
    'heading' => esc_html__( 'Icon Item', 'wpwage' ),
    'param_name' => 'icon_fontello',
    'value' => '',
    'settings' => array(
        'emptyIcon' => true, // default true, display an "EMPTY" icon?
        'type' => 'fontello',
        'iconsPerPage' => 200, // default 100, how many icons per/page to display
    ),
    'dependency' => array(
        'element' => 'icon_type',
        'value' => 'fontello',
    ),
    'description' => esc_html__( 'Select icon from library.', 'wpwage' ),
    "group" => esc_html__("Fancy Content", 'wpwage'),
));
/*End Icon*/
vc_add_param('cms_fancybox_single', array(
    "type" => "cms_template",
    "param_name" => "cms_template",
    "admin_label" => false,
    "heading" => esc_html__("Shortcode Template",'wpwage'),
    "shortcode" => "cms_fancybox_single",
    "group" => esc_html__("Template", 'wpwage'),
));

vc_add_param('cms_fancybox_single', array(
    "type" => "textfield",
    "heading" => esc_html__("Title Item",'wpwage'),
    "param_name" => "title_item",
    "value" => "",
    "description" => esc_html__("Title Of Item",'wpwage'),
    "group" => esc_html__("Fancy Content", 'wpwage'),
    'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style2',
            'style3',
            'style4',
        ),
    )
));
vc_add_param('cms_fancybox_single', array(
    "type" => "textarea",
    "heading" => esc_html__("Content Item",'wpwage'),
    "param_name" => "content",
    "group" => esc_html__("Fancy Content", 'wpwage'),
));

vc_add_param('cms_fancybox_single',array(
    "type" => "vc_link",
    "heading" => esc_html__("Button Link",'wpwage'),
    "param_name" => "link_fancy",
    'description' => esc_html__( 'Button Link.', 'wpwage' ),
    "group" => esc_html__("Fancy Content", 'wpwage'),
    'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style2',
            'style3',
            'style4',
        ),
    )
));
    vc_add_param("cms_fancybox_single", array(
    'type' => 'dropdown',
    'heading' => esc_html__('Align', 'wpwage'),
    'param_name' => 'content_align',
    "value" => array(
        "Align Left" => "text-left",
        "Align Right" => "text-right",
        ),
     "group" => esc_html__("Fancy Content", 'wpwage'),
     'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style3',
        ),
    )
));
   vc_add_param("cms_fancybox_single", array(
        'type' => 'dropdown',
        'heading' => esc_html__( 'Animate', 'wpwage' ),
        'param_name' => 'css_animation',
        'value' => wage_animate_lib(),
        'description' => esc_html__( 'Select "animation in" for page transition.', 'wpwage' ),
        "group" => esc_html__("Animation", 'wpwage'),
        'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style3',
        ),
    )
    ));
vc_add_param("cms_fancybox_single", array(
        'type' => 'dropdown',
        'heading' => esc_html__( 'Animate Delay', 'wpwage' ),
        'param_name' => 'css_animation_delay',
        'value' => wage_animate_time_delay_lib(),
        'description' => esc_html__( 'Select "animation in" for page transition.', 'wpwage' ),
        "group" => esc_html__("Animation", 'wpwage'),
    ));