<?php 

vc_add_param('cms_grid', array(
    'type' => 'img',
    'heading' => esc_html__( 'Style', 'wpwage' ),
    'value' => array(
        'default' => get_template_directory_uri().'/vc_params/grid/blog-default.jpg',
        'mask' => get_template_directory_uri().'/vc_params/grid/blog-mask.jpg',
    ),
    'param_name' => 'grid_blog_style',
    'description' => esc_html__( 'Select style.', 'wpwage' ),
    "group" => esc_html__("Template", 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_grid.php',
        ),
    ),
));
vc_add_param('cms_grid', array(
    'type' => 'colorpicker',
    'heading' => esc_html__( 'Background Color Image', 'wpwage' ),
    'param_name' => 'grid_blog_bg_color',
    "group" => esc_html__("Template", 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_grid.php',
        ),
    ),
));


vc_add_param('cms_grid', array(
    'type' => 'img',
    'heading' => esc_html__( 'Style', 'wpwage' ),
    'value' => array(
        'layout1' => get_template_directory_uri().'/vc_params/grid/service-masonry-gradient.jpg',
        'layout2' => get_template_directory_uri().'/vc_params/grid/services-masonry-default.jpg',
    ),
    'param_name' => 'grid_services_masonry_style',
    'description' => esc_html__( 'Select style.', 'wpwage' ),
    "group" => esc_html__("Template", 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_grid--services-masonry.php',
        ),
    ),
));
vc_add_param('cms_grid', array(
    'type' => 'checkbox',
    'admin_label' => true,
    'heading' => esc_html__( 'No Space Item', 'wpwage' ),
    'param_name' => 'checkbox_grid_nopadd',
    "group" => esc_html__("Template", 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_grid.php',
        ),
    ),
));
vc_add_param('cms_grid', array(
    'type' => 'checkbox',
    'admin_label' => true,
    'heading' => esc_html__( 'Show Nav', 'wpwage' ),
    'param_name' => 'checkbox_grid_nav',
    "group" => esc_html__("Template", 'wpwage'),
));

/*Col Grid*/
vc_add_param('cms_grid', array(
    "type" => "dropdown",
    "heading" => esc_html__("Layout Type",'wpwage'),
    "param_name" => "layout",
    "value" => array(
        "Basic" => "basic",
        "Masonry" => "masonry",
        ),
    "group" => esc_html__("Grid Settings", 'wpwage'),
    'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_grid--project-masonry.php',
            'cms_grid--project.php',
            'cms_grid--services.php',
            'cms_grid--services-masonry.php',
            'cms_grid--testimonials.php',
            'cms_grid.php',
        ),
    ),
));

vc_add_param('cms_grid',array(
    "type" => "dropdown",
    "heading" => esc_html__("Columns XS Devices",'wpwage'),
    "param_name" => "col_xs",
    "edit_field_class" => "vc_col-sm-3 vc_column",
    "value" => array(1,2,3,4,6,12),
    "std" => 1,
    "group" => esc_html__("Grid Settings", 'wpwage'),
'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
             'cms_grid--project-masonry.php',
            'cms_grid--project.php',
            'cms_grid--services.php',
            'cms_grid--services-masonry.php',
            'cms_grid--testimonials.php',
            'cms_grid.php',
        ),
    ),
));

vc_add_param('cms_grid',array(
    "type" => "dropdown",
    "heading" => esc_html__("Columns SM Devices",'wpwage'),
    "param_name" => "col_sm",
    "edit_field_class" => "vc_col-sm-3 vc_column",
    "value" => array(1,2,3,4,6,12),
    "std" => 2,
    "group" => esc_html__("Grid Settings", 'wpwage'),
'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
            'cms_grid--project-masonry.php',
            'cms_grid--project.php',
            'cms_grid--services.php',
            'cms_grid--services-masonry.php',
            'cms_grid--testimonials.php',
            'cms_grid.php',
        ),
    ),
));

vc_add_param('cms_grid',array(
    "type" => "dropdown",
    "heading" => esc_html__("Columns MD Devices",'wpwage'),
    "param_name" => "col_md",
    "edit_field_class" => "vc_col-sm-3 vc_column",
    "value" => array(1,2,3,4,6,12),
    "std" => 3,
    "group" => esc_html__("Grid Settings", 'wpwage'),
'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
             'cms_grid--project-masonry.php',
            'cms_grid--project.php',
            'cms_grid--services.php',
            'cms_grid--services-masonry.php',
            'cms_grid--testimonials.php',
            'cms_grid.php',
        ),
    ),
));

vc_add_param('cms_grid',array(
    "type" => "dropdown",
    "heading" => esc_html__("Columns LG Devices",'wpwage'),
    "param_name" => "col_lg",
    "edit_field_class" => "vc_col-sm-3 vc_column",
    "value" => array(1,2,3,4,6,12),
    "std" => 4,
    "group" => esc_html__("Grid Settings", 'wpwage'),
'dependency' => array(
        'element' => 'cms_template',
        'value' => array(
             'cms_grid--project-masonry.php',
            'cms_grid--project.php',
            'cms_grid--services.php',
            'cms_grid--services-masonry.php',
            'cms_grid--testimonials.php',
            'cms_grid.php',
        ),
    ),
));

