<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $source
 * @var $text
 * @var $link
 * @var $google_fonts
 * @var $font_container
 * @var $el_class
 * @var $css
 * @var $font_container_data - returned from $this->getAttributes
 * @var $google_fonts_data - returned from $this->getAttributes
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Custom_heading
 */
$source = $text = $link = $google_fonts= $font_container = $el_class = $css = $font_container_data = $google_fonts_data = $heading_style= $cms_custom_headding_type  = $color_lead_headding = $no_line ='';
$cms_custom_sub_headding ='';
// This is needed to extract $font_container_data and $google_fonts_data
extract( $this->getAttributes( $atts ) );

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

extract( $this->getStyles( $el_class, $css, $google_fonts_data, $font_container_data, $atts ) );


$settings = get_option( 'wpb_js_google_fonts_subsets' );
if ( is_array( $settings ) && ! empty( $settings ) ) {
	$subsets = '&subset=' . implode( ',', $settings );
} else {
	$subsets = '';
}

if ( isset( $google_fonts_data['values']['font_family'] ) ) {
	wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $google_fonts_data['values']['font_family'] . $subsets );
}

if ( ! empty( $styles ) ) {
	$style = 'style="' . esc_attr( implode( ';', $styles ) ) .'"';
} else {
	$style = '';
}

if ( 'post_title' === $source ) {
	$text = get_the_title( get_the_ID() );
}

if ( ! empty( $link ) ) {
	$link = vc_build_link( $link );
	$text = '<a href="' . esc_attr( $link['url'] ) . '"'
		. ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' )
		. ( $link['title'] ? ' title="' . esc_attr( $link['title'] ) . '"' : '' )
		. '>' . $text . '</a>';
}
$cms_ch_type = !empty($atts['cms_ch_type'])?$atts['cms_ch_type']:'';
$no_line = !empty($atts['no_line'])?'no_line':'';

$output = '';

$output .= '<div class="cms-custom-heading-wrap ' . esc_attr( $no_line.' '.$cms_ch_type.' '.$cms_custom_headding_type.' '.$css_class ) .'" >' ;
if (!empty($cms_custom_sub_headding)) {
	$output .= '<div class="sub-heading " '.$style.'>'.esc_html($cms_custom_sub_headding).'</div>';
}


if (!empty($text)):
$output .= '<' . $font_container_data['values']['tag'] . ' ' . $style . ' class="cmsc-custom-heading ' . esc_attr($css_class ) . '">';
// tu ban dau là $text
// tach cac tu vao trong 1 mang
$text_ar = explode(' ', trim($text));
if(count($text_ar) > 1){
	// lay tu cuoi cung ra thanh 1 bien
	$text_last = $text_ar[count($text_ar)-1];
	// xoa tu cuoi cung trong mang
	$text_ar[count($text_ar)-1] = '';
	//ghep cac tu khac
	$text = implode(' ', $text_ar);
	// in ra
	$output .= '<span class="head">'.$text. '</span> <span class="final">'.$text_last.'</span>';
}
else{
	// in ra
	$output .= '<span class="head">'.$text. '</span>';
}



$output .= '</' . $font_container_data['values']['tag'] . '>';
endif;

$output .= '</div>';

echo balanceTags($output);
