<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
global $opt_wage_options;
$class_product= '';
$select_columns = $opt_wage_options['woo_column'];

switch ($select_columns) {
	case '2':
		$class_product = 'col-xs-12 col-sm-6 col-md-6 col-lg-6 product_list';
		break;

	case '3':
		$class_product = 'col-xs-12 col-sm-4 col-md-4 col-lg-4 product_list';
		break;

	case '4':
		$class_product = 'col-xs-12 col-sm-6 col-md-6 col-lg-3 product_list list4';
		break;
	
}
?>
<div <?php post_class($class_product); ?>>
	<?php

	echo '<div class="cms-product-inner clearfix">';
	/**
	 * woocommerce_before_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_show_product_loop_sale_flash - 10
	 * @hooked woocommerce_template_loop_product_thumbnail - 10
	 */
	echo '<div class="cms-product-thumb-wrap clearfix">';
		woocommerce_show_product_loop_sale_flash();
		echo woocommerce_get_product_thumbnail();
		echo '<div class="cms_product_cart">';
			woocommerce_template_loop_add_to_cart();
			wage_woo_love();
		echo '</div>';
		/*do_action( 'woocommerce_before_shop_loop_item_title' );*/
	echo '</div>';
	/**
	 * woocommerce_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_template_loop_product_title - 10
	 */
	do_action( 'woocommerce_shop_loop_item_title' );

	/**
	 * woocommerce_after_shop_loop_item_title hook.
	 *
	 * @hooked woocommerce_template_loop_rating - 5
	 * @hooked woocommerce_template_loop_price - 10
	 */
	do_action( 'woocommerce_after_shop_loop_item_title' );

	echo '</div>';

	?>
</div>
