<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' );
$woo_column = $woo_secord_col = $woo_layout = '';
$woo_layout = wage_get_theme_option('woo_layout');
if( is_active_sidebar( 'woocommerce_sidebar' ) ){

    $woo_column = 'col-md-9';
    $woo_secord_col = 'col-md-3';

    if ($woo_layout == 'full-width') {
        $woo_column = 'col-md-12  ';
        $woo_secord_col = 'hidden-xs hidden-sm hidden-md hidden-lg';
    }
}
else{

    $woo_column = 'col-md-12';
    $woo_secord_col = 'hidden-xs hidden-sm hidden-md hidden-lg';
} ?>

<div id="primary" class="container">
	<div class="woo_single_product">
		<?php if($woo_layout == 'left-sidebar'){ ?>
	            <div class="<?php echo esc_attr($woo_secord_col);?> sidebarwoo">
	               <?php do_action( 'woocommerce_sidebar' ); ?>
	            </div><!-- #sidebar left-->
        <?php }?>

		<div class="<?php echo esc_attr($woo_column); ?>">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'single-product' ); ?>
			<?php endwhile; // end of the loop. ?>	
		</div>


        <?php if($woo_layout == 'right-sidebar'){ ?>
	        <div class="<?php echo esc_attr($woo_secord_col);?>  sidebarwoo">
	           <?php do_action( 'woocommerce_sidebar' ); ?>
	        </div><!-- #sidebar left-->
        <?php }?>
	</div>
</div>

<?php get_footer( 'shop' ); ?>
