<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product, $woocommerce_loop;

if ( empty( $product ) || ! $product->exists() ) {
	return;
}



$related = wc_get_related_products( 6 );

$args = apply_filters( 'woocommerce_related_products_args', array(
	'post_type'            => 'product',
	'ignore_sticky_posts'  => 1,
	'no_found_rows'        => 1,
	'posts_per_page'       => 6,
	'orderby'              => $orderby,
	'post__in'             => $related,
	'post__not_in'         => array( $product->get_id() )
) );

$products                    = new WP_Query( $args );
$woocommerce_loop['name']    = 'related';
$woocommerce_loop['columns'] = apply_filters( 'woocommerce_related_products_columns', $columns );

$owl_data = array();

$data_attr[] = '"margin": 30';
$data_attr[] = '"loop":false';
$data_attr[] = '"nav":false';
$data_attr[] = '"dots":true';
$data_attr[] = '"autoplay":false';
$data_attr[] = '"slideBy":"page"';

$responsive = array();
$responsive[] = '"1200":{"items":3}';
$responsive[] = '"992":{"items":3}';
$responsive[] = '"678":{"items":3}';
$responsive[] = '"480":{"items":2}';
$responsive[] = '"380":{"items":1}';
$responsive[] = '"0":{"items":1}';
$data_attr[] = esc_html( '"responsive":{' . implode( ',', $responsive ) . '}' );
if ( $products->have_posts() ) : ?>

	<div class="related woo-related products clearfix">
			<h3>
				<span class="head"><?php echo esc_html('Related Products', 'wpwage'); ?></span>
			</h3>
		<?php woocommerce_product_loop_start(); ?>
		<div class="row">
		<div class="col-md-12 cms-carousel-wrapper">
			<div class="cms-owl-carousel owl-carousel" data-carousel= "{<?php echo esc_attr(implode(', ', $data_attr)); ?>}">
				<?php while ( $products->have_posts() ) : $products->the_post(); ?>
					<div class="cms-product">
						<div class="cms-product-inner">
							<?php
							/**
							 * woocommerce_before_shop_loop_item hook.
							 *
							 * @hooked woocommerce_template_loop_product_link_open - 10
							 */
							do_action( 'woocommerce_before_shop_loop_item' );
							/**
							 * woocommerce_before_shop_loop_item_title hook.
							 *
							 * @hooked woocommerce_show_product_loop_sale_flash - 10
							 * @hooked woocommerce_template_loop_product_thumbnail - 10
							 */
							/*do_action( 'woocommerce_before_shop_loop_item_title' );*/
							echo '<div class="cms-product-thumb-wrap clearfix">';
								woocommerce_show_product_loop_sale_flash();
								echo woocommerce_get_product_thumbnail();
								echo '<div class="cms_product_cart">';
									woocommerce_template_loop_add_to_cart();
									wage_woo_love();
								echo '</div>';
								/*do_action( 'woocommerce_before_shop_loop_item_title' );*/
							echo '</div>';
							echo '<div class="cms-product-info pos-rev clearfix">';
								/**
								 * woocommerce_shop_loop_item_title hook.
								 *
								 * @hooked woocommerce_template_loop_product_title - 10
								 */
								do_action( 'woocommerce_shop_loop_item_title' );

								/**
								 * woocommerce_after_shop_loop_item_title hook.
								 *
								 * @hooked woocommerce_template_loop_rating - 5
								 * @hooked woocommerce_template_loop_price - 10
								 */
								do_action( 'woocommerce_after_shop_loop_item_title' );

								/**
								 * woocommerce_after_shop_loop_item hook.
								 *
								 * @hooked woocommerce_template_loop_product_link_close - 5
								 * @hooked woocommerce_template_loop_add_to_cart - 10
								 */
								do_action( 'woocommerce_after_shop_loop_item' );
							echo '</div>';
							?>
						</div>
					</div>
				<?php endwhile; // end of the loop. ?>
			</div>
		</div>
		</div>
		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;
wp_reset_postdata();
